/*=========================================================================================
SMARTMENUS CORE CSS
-------------------------------------------------------------------------------------------
Mobile first layout SmartMenus Core CSS (it's not recommended editing these rules)
You need this once per page no matter how many menu trees or different themes you use.
===========================================================================================*/

.sm{box-sizing:border-box;position:relative;z-index:9999;-webkit-tap-highlight-color:rgba(0,0,0,0);}
.sm,.sm ul,.sm li{display:block;list-style:none;margin:0;padding:0;line-height:normal;direction:ltr;text-align:left;}
.sm-rtl,.sm-rtl ul,.sm-rtl li{direction:rtl;text-align:right;}
.sm>li>h1,.sm>li>h2,.sm>li>h3,.sm>li>h4,.sm>li>h5,.sm>li>h6{margin:0;padding:0;}
.sm ul{display:none;}
.sm li,.sm a{position:relative;}
.sm a{display:block;}
.sm a.disabled{cursor:default;}
.sm::after{content:"";display:block;height:0;font:0px/0 serif;clear:both;overflow:hidden;}
.sm *,.sm *::before,.sm *::after{box-sizing:inherit;}

/*=========================================================================================
SMARTMENUS FXG THEME
-------------------------------------------------------------------------------------------
STANDARD MOBILE VIEW WITH TOGGLER <= 900px PX 
===========================================================================================*/

/* ----------------------------------------------------------------------------- Menu base */
  
.sm-fxg {
    background: transparent;
    /* border-bottom: 0px solid #786950; */
    /*box-shadow: 0 1px 4px rgba(70,70,80,0.2);*/
}

/* --------------------------------------------------------------------- Main menu toggled */

.sm-fxg a, .sm-fxg a:hover, .sm-fxg a:focus, .sm-fxg a:active { 
    padding: 10px 20px;
    /* make room for the toggle button (sub indicator) */
    padding-left:15px;
    padding-right: 43px;
    background: #000000;
    color: #9696A0;
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
	/* font-family: 'PT Serif', Georgia, "Times New Roman", Times, serif; */
    font-size: 18px;
    font-stretch: condensed;
    font-weight: bold;
    line-height: 26px;
    text-decoration: none;
    margin:0;
    border-bottom: 1px solid rgba(150,150,160, 0.5);  /* line also on subs - semitransparent due to that */
}

@media (min-width: 500px) {                             /* larger padding on taller mobiles/tablets */
    .sm-fxg a, .sm-fxg a:hover, .sm-fxg a:focus, .sm-fxg a:active {padding-left:30px;padding-right:58px;}
}

.sm-fxg a:hover {color: #FA0032;}
.sm-fxg a:focus {color: #C8B48C;}
.sm-fxg a.disabled {color: #464650;}
.sm-fxg a.current {background: #464650;color: #C8B48C;}

/* ---------------------------------------------- + -  buttons NOTE: used also for arrows! */

.sm-fxg a .sub-arrow {
    position: absolute;
    top: 50%;
    margin-top: -11px;
    left: auto;
    right: 19px;                                                /* align with X toggle icon (at 15 padding)*/
    width: 22px;
    height: 22px;
    overflow: hidden;
    font: bold 16px/18px monospace !important;
    text-align: center;
    background: #000000;
    border: 1px solid #786950;
    border-radius: 4px;
    color: #C8B48C;
}

@media (min-width: 500px) {                   /* realign at larger padding on taller mobiles/tablets */
    .sm-fxg a .sub-arrow {right: 34px;}
}

.sm-fxg a:hover .sub-arrow {
    background: #000000;
    border: 1px solid #C8B48C;
    color: #FA0032;
}

.sm-fxg a:focus .sub-arrow {
    background: #000000;
    border: 1px solid #C8B48C;
    color: #C8B48C;
}

.sm-fxg a .sub-arrow::before {content: '+';}
.sm-fxg a.highlighted .sub-arrow::before {content: '-';}

/* ------------------------------------------------------------------------------ submenus */

.sm-fxg ul {background: #FFFFFF;}
.sm-fxg ul ul {background: rgba(70,70,80,0.1);}                               /* BG making darker each submenu */

.sm-fxg ul a, .sm-fxg ul a:hover, .sm-fxg ul a:focus, .sm-fxg ul a:active {     /* Dropdown Level 1 */
    background: transparent;
    color: #464650;
    font-size: 15px;
    text-shadow: none;
    border-left: 0px solid transparent;                                         /* no left spacing on first dropdown */
}

.sm-fxg ul a:hover, .sm-fxg ul a:focus {color: #FA0032;}                       /* Hover */
.sm-fxg ul a.disabled {color: rgba(150,150,160, 0.5);}
.sm-fxg ul a.current {background: #464650;color: #C8B48C;}

/* ------------------------------------------------ Submenu Levels left borders as spacing */

.sm-fxg ul ul a, .sm-fxg ul ul a:hover, .sm-fxg ul ul a:focus, .sm-fxg ul ul a:active {
    border-left: 10px solid transparent;
}
.sm-fxg ul ul ul a, .sm-fxg ul ul ul a:hover, .sm-fxg ul ul ul a:focus, .sm-fxg ul ul ul a:active {
    border-left: 20px solid transparent;
}
.sm-fxg ul ul ul ul a, .sm-fxg ul ul ul ul a:hover, .sm-fxg ul ul ul ul a:focus, .sm-fxg ul ul ul ul a:active {
    border-left: 30px solid transparent;
}
.sm-fxg ul ul ul ul ul a, .sm-fxg ul ul ul ul ul a:hover, .sm-fxg ul ul ul ul ul a:focus, .sm-fxg ul ul ul ul ul a:active {
    border-left: 40px solid transparent;
}

/*=========================================================================================
SMARTMENUS FXG THEME - DESKTOP VIEW ADJUSTMENTS >= 900px PX
-------------------------------------------------------------------------------------------
Transform the menu tree from collapsible to desktop (navbar + dropdowns)
===========================================================================================*/

@media (min-width: 900px) {

    /* ------------------------- start rules... (it's not recommended editing these rules) */

    .sm-fxg ul {position: absolute;width: 200px;}
    .sm-fxg li {float: left;}
    .sm-fxg ul li {float: none;}
    .sm-fxg a {white-space: nowrap;}
    .sm-fxg ul a {white-space: normal;}
    .sm-fxg .sm-nowrap > li > a, .sm-fxg .sm-nowrap > li > :not(ul) a {white-space: nowrap}

    /* ...end rules */

    /* ------------------------------------------------------------------------- Menu base */

    .sm-fxg {
        background: #FFFFFF;
        font-size: 14px;                            /* smaller font than mobile */
        color: #464650;
    }

    /* ------------------------------------------------------------------------- Main menu */

    .sm-fxg a, .sm-fxg a:hover, .sm-fxg a:focus, .sm-fxg a:active, .sm-fxg a.highlighted {
        padding:0;
        padding-left: 3px;
        padding-right:0;                            /* no-arrow setting - set to 13px if arrows are shown */
        line-height:54px;                           /* line menu same as nav-brand height */
        font-size: 14px;                            /* smaller font than mobile */
        border:none;
        background: #FFFFFF;
        color: #464650;
    }

    @media (min-width: 500px) {                   /* larger padding on taller mobiles/tablets (based on 30) */
        .sm-fxg a, .sm-fxg a:hover, .sm-fxg a:focus, .sm-fxg a:active, .sm-fxg a.highlighted {padding-left: 18px;}
    }
    
    .sm-fxg a:hover, .sm-fxg a:focus, .sm-fxg a:active, .sm-fxg a.highlighted {color: #FA0032;}
    .sm-fxg a.disabled {background: #FFFFFF;color: #C8C8D2;}
    .sm-fxg a.current {background: #FFFFFF;color: #786950;}

    /* ------------------------------------------------------------------- Mainmenu Arrows */

    .sm-fxg a .sub-arrow {
        top: 50%;
        margin-top: -1px;
        bottom: auto;
        left: auto;
        right: 0; 
        width: 0;
        height: 0;
        border-width: 0;                           /* no arrows on mainmenu - otherwise 5px */
        border-style: solid dashed dashed dashed;
        border-color: #464650 transparent transparent transparent;
        background: transparent;
        border-radius: none;
    }

    .sm-fxg a:hover .sub-arrow, .sm-fxg a:focus .sub-arrow, .sm-fxg a:active .sub-arrow, .sm-fxg a.highlighted .sub-arrow {
        border-width: 0;                            /* no arrows on mainmenu - otherwise 5px */
        border-style: solid dashed dashed dashed;
        border-color: #FA0032 transparent transparent transparent;
        background: transparent;
    }

    .sm-fxg a .sub-arrow::before {display: none;}

    /* .sm-fxg > li {border-left: 1px solid #FF00FF;} */           /* Mainmenu Divisors - not used */
    /* .sm-fxg > li:first-child {border-left: 0;} */

    /* -------------------------------------------------------------- Dropdowns + submenus */

    .sm-fxg ul {                                    /* First-Level Dropdowns + megamenus */
        border: 1px solid #C8C8D2;
        padding: 7px 0;                             /* Top+Bottom padding of dropdown window */
        background: #FFFFFF;
        border-radius: 0 0 4px 4px !important;
        box-shadow: 0 2px 10px rgba(70,70,80,0.3);
    }

    .sm-fxg ul ul {                                 /* Submenus Dropdowns */
        border-radius: 4px !important;
        background: #FFFFFF;
    }
 
    .sm-fxg ul a, .sm-fxg ul a:hover, .sm-fxg ul a:focus,
    .sm-fxg ul a:active, .sm-fxg ul a.highlighted {             /* Links Dropdowns + Subs */
        border: 0 !important;
        padding: 3px 18px;                                      /* left aligns text with main menu text */
        padding-right: 24px;                                     /* right padding larger for arrow */
        line-height:24px;
        font-size: 14px;                                        /* smaller font on desktop */
        background: #FFFFFF;
        color: #464650;
        border-radius: 0 !important;
    }

    .sm-fxg ul a:hover, .sm-fxg ul a:focus, .sm-fxg ul a:active, .sm-fxg ul a.highlighted {   /* Links Hovers */
        background: #000000;
        color: #FA0032;
    }

    .sm-fxg ul a.disabled {background: #FFFFFF;color: #C8C8D2;}
    .sm-fxg ul a.current {background: #464650;color: #C8B48C;}

    /* ------------------------------------------------------------------ Dropdowns Arrows */

    .sm-fxg ul a .sub-arrow {
        top: 50%;
        margin-top: -5px;
        bottom: auto;
        left: auto;
        margin-left: 0;
        right: 5px;
        border-width: 5px;
        border-style: dashed dashed dashed solid;
        border-color: transparent transparent transparent #464650;
    }

    .sm-fxg ul a:hover .sub-arrow, .sm-fxg ul a:focus .sub-arrow,
    .sm-fxg ul a:active .sub-arrow, .sm-fxg ul a.highlighted .sub-arrow {
        border-width: 5px;
        border-style: dashed dashed dashed solid;
        border-color: transparent transparent transparent #FA0032;
    }

    .sm-fxg ul li {border: 0;}                       /* lines between items in dropdowns */

    .sm-fxg .scroll-up, .sm-fxg .scroll-down {       /* dropdown list arrows */
        position: absolute;
        display: none;
        visibility: hidden;
        overflow: hidden;
        background: #000000;
        height: 30px;
    }

    .sm-fxg .scroll-up-arrow, .sm-fxg .scroll-down-arrow {
        position: absolute;
        top: 6px;
        left: 50%;
        margin-left: -6px;
        width: 0;
        height: 0;
        overflow: hidden;
        border-width: 6px;
        border-style: dashed dashed solid dashed;
        border-color: transparent transparent #FA0032 transparent;
    }

    .sm-fxg .scroll-down-arrow {
        top: 12px;
        border-style: solid dashed dashed dashed;
        border-color: #FA0032 transparent transparent transparent;
    }
}

/* -------------------------------------------------------------- FADING EFFECTS on hovers */

.sm-fxg a:hover, .sm-fxg a:hover .sub-arrow, .sm-fxg ul a:hover, .sm-fxg ul a:hover .sub-arrow {
    -webkit-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}

/*=========================================================================================
MAIN MENU NAVIGATION STYLES
===========================================================================================*/

/* ---------------------------------------------------------- Container + Body adjustments */

.container_nav {
	width: 100%;
	padding-right: 0;
	padding-left: 0;
    margin-right: auto;
	margin-left: auto;
	max-width: 1260px;		/* 100% width < XL screens - max-width = eff. max width + padding (1200 + 30 + 30) */
}

@media (min-width: 900px) {				                    /* add padding on non-toggled desktops */
	.container_nav {padding-right: 30px;padding-left: 30px;}
}

body {padding-top: 55px;}                                   /* Body-Padding for fixed Navbar, value = height navbar */

/* -------------------------------------------------------------------------------- Navbar */

.main-nav {                                                   /* Fixed on top */
    /*  position: relative; */
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1030;
    min-height:55px;                                        /* height: must be min-height or content will not overflow */
    background: #FFFFFF; 
    border-bottom: 1px solid #C8C8D2;
 /*   -webkit-box-shadow: 0 2px 10px rgba(70,70,80,0.3);
    -moz-box-shadow: 0 2px 10px rgba(70,70,80,0.3);
    box-shadow: 0 2px 10px rgba(70,70,80,0.3);*/
}

@media (max-width: 899px) {                                 /* On mobile/toggled mode */
    .main-nav{max-height:100%;overflow-y:auto;}             /* important fix to make submenus scrollable, here max win height */
}

.main-nav:after {
    clear: both;
    content: "\00a0";
    display: block;
    height: 0;
    font: 0px/0 serif;
    overflow: hidden;
}

/* ---------------------------------------------------------------------------------- Logo */

.nav-brand {
    float: left;
    margin: 0;
    padding-left:10px; /* old: 15 - 10 */
    padding-right:10px;
    background:#FFFFFF;
    height:54px;
}

@media (min-width: 500px) {                             /* larger padding on taller mobiles/tablets */
    .nav-brand {padding-left:30px;}
}

@media (min-width: 900px) {                             /* no padding again on non-toggled screen */
    .nav-brand {padding-left:0;}
}

.nav-brand a {display: block;padding: 0;}

.nav-brand_logo {height:46px;margin-top:4px;}                  /* logo-size Fattoria-spezifisch 210x150px Logo / top-margin for positioning in line-height */

/* Standard horizontal Emblem + Brand mit resize on small phones */
/* .nav-brand_logo {height:46px;margin-top:4px;} 
@media (max-width: 350px) {
    .nav-brand_logo {height:36px;margin-top:10px;} 
}
*/

/* ----------------------------------------------------------------------------- Main Menu */

#main-menu {
    clear: both;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}
  
@media (min-width: 900px) {
    #main-menu {float: right;clear: none;}
}

/*=========================================================================================
MEGA MENUS
-------------------------------------------------------------------------------------------
Fitting in container size, sizes need to match general container and navbar scripts
===========================================================================================*/

/* ----------------------------------------------------------------------------- General */

#main-menu, #main-menu > .has-mega-menu {
    position: static !important;
}

#main-menu .mega-menu {                     /* version for limited container size - stndard mobile size <900px */
    right:0;
    margin:auto !important;
    width: 100% !important;
    max-width: 1260px !important;           /* adapt to container max-size (1200 + 30 padding) */
    padding-left:30px;
    padding-right:30px;
}

@media (max-width: 499px) {                   /* smaller padding on phones */
    #main-menu .mega-menu {
        padding-left:15px;
        padding-right:15px;
    }
}







#main-menu .mega-menu {                     /* important: max-h less than screen size prevents mega menu flow over navbar */
    max-height:250px;                       /* standard for small phones landscape < 400px (most are 320) */
    overflow-y:auto;                          /* needed for flowing */
}

@media (min-height: 400px) {                                            /* (i5) / taller phones landscapes */
    #main-menu .mega-menu {max-height:300px;}
}
@media (min-height: 500px) {                                            /* I5 / i678 / (S5) */
    #main-menu .mega-menu {max-height:350px;}
}
@media (min-height: 600px) {                                            /* 1024x768 / 1366x768 / S5 / (P2) / (i678) */
    #main-menu .mega-menu {max-height:450px;}
}
@media (min-height: 650px) {                                            /* 1280x800 / I678 / I678+ / (IX) / P2 / (p2xl) */
    #main-menu .mega-menu {max-height:500px;}
}
@media (min-height: 750px) {                                            /* IX / P2XL */
    #main-menu .mega-menu {max-height:600px;}
}
@media (min-height: 850px) {                                            /* 1920x1080 / 1680x1050 / 1280x1024 / (ipad) */
    #main-menu .mega-menu {max-height:700px;}
}
@media (min-height: 1000px) {                                           /* 1920x1200 / IPAD / iPad + (1366) */
    #main-menu .mega-menu {max-height:850px;}
}

#main-menu > .has-mega-menu .scroll-up,                 /* scroll arrows - not active (normal scrollbar) - fallback */
#main-menu > .has-mega-menu .scroll-down {
    margin-left: 0 !important;
    right:0;
    margin-left:auto !important;
    margin-right:auto !important;
}

/* ------------------------------------------------------------------- Mega Menu container */

#main-menu .mega-menu > li {                /* clear any floats inside the mega menus */
    overflow: auto;
}

#main-menu .mega-menu {     /* Content Color - reset mega menu list/link styles (inherited from SM core/theme styles) */
    color: #464650;
    font-size:14;
}

#main-menu .mega-menu_container {
    width:100%;margin:0;padding:0;
}

/* --------------------------------------------------------------------- Mega Menu columns */

#main-menu .mega-menu_container {
    width:100%;margin:0;padding:0;
}

/* -------------------------------------------------------------------------- Mobile < 900px */

/* simple columns inside the mega menus */

#main-menu .mega-menu .column-1-3 {
    padding: 0 30px;
  }
  
  @media (min-width: 900px) {
    #main-menu .mega-menu .column-1-3 {
      float: left;
      width: 33.33%;
    }
  }

/* - CHECK IF NEEDED ------------------------------------------------- Mega Menu LI-list link-blocks & links */

#main-menu .mega-menu ul {
    position: static;
    display: block;
    margin: 10px 0;                         /* margins outside linkblocks (top/bottom spacing)*/
    border: 0;
    padding: 0;                             /* padding of links inside the linkblock */
    width: auto;                            /* full column width */
    background: #FFFFFF;                  /* transparent - BG linkblock*/
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    box-shadow: none;
}


#main-menu .mega-menu a {                   /* LI-list link */
    display: inline;
    border: 0;
    padding: 0;
    background: transparent;
    color: #464650;
    text-decoration: none;
}

#main-menu .mega-menu a:hover {                   /* LI-list link */
    color: #FA0032;
}

/* - NO IDEA WHAT THIS IS ------------------------------------------------- Mobile menu top separator */

#main-menu:before {
  content: '';
  display: block;
  height: 1px;
  font: 1px/1px sans-serif;
  overflow: hidden;
  background: #9696A0;
}

@media (min-width: 900px) {
  #main-menu:before {
    display: none;
  }
}

/* ------------------------------------------------------------- Mobile menu toggle button */

.main-menu-btn {
    float: right;
    margin: 2px;                                        /* depending of navbrand line heights */
    margin-right:15px;
    position: relative;
    display: inline-block;
    width: 29px;
    height: 34px; 
    text-indent: 29px;
    white-space: nowrap;
    overflow: hidden;
    cursor: pointer;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

@media (min-width: 500px) {                             /* larger padding on taller mobiles/tablets */
    .main-menu-btn {margin-right:30px;}
}

.main-menu-btn-icon,
.main-menu-btn-icon:before,
.main-menu-btn-icon:after {
    position: absolute;
    top: 24px;
    left: 2px;
    height: 2px;
    width: 24px;
    background: #FA0032;
    -webkit-transition: all 0.25s;
    transition: all 0.25s;
}

.main-menu-btn-icon:before {
    content: '';
    top: -7px;
    left: 0;
}

.main-menu-btn-icon:after {
    content: '';
    top: 7px;
    left: 0;
}

/* -------------------------------------------------------------------- X Icon animation */

#main-menu-state:checked ~ .main-menu-btn .main-menu-btn-icon {
    height: 0;
    background: transparent;
}

#main-menu-state:checked ~ .main-menu-btn .main-menu-btn-icon:before {
    top: 0;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

#main-menu-state:checked ~ .main-menu-btn .main-menu-btn-icon:after {
    top: 0;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}

/* -------------------------- hide menu state checkbox (keep it visible to screen readers) */

#main-menu-state {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    border: 0;
    padding: 0;
    overflow: hidden;
    clip: rect(1px, 1px, 1px, 1px);
}

/* -------------------------------------------------------------- hide menu in mobile view */

#main-menu-state:not(:checked) ~ #main-menu {
    display: none;
}

#main-menu-state:checked ~ #main-menu {
    display: block;
}

/* ------------------------------------------------------ hide/show button in desktop view */

@media (min-width: 900px) {                          /* hide */
    .main-menu-btn {
        position: absolute;
        top: -99999px;
    }
    #main-menu-state:not(:checked) ~ #main-menu {     /* show */
        display: block;
    }
}

